*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    flex-wrap: wrap;
    background: #010615;
}
.main{
    position: relative;
    width: 300px;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #010615;
    margin: 40px;
}
.main::before{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: -2px;
    background: #fff;
    z-index: -1;
}
.main::after{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: -2px;
    background: #fff;
    z-index: -2;
    filter: blur(40px);
}
.main:nth-child(1)::before,
.main:nth-child(1)::after{
    background: linear-gradient(235deg,#89ff00,#010615,#00bcd4);
}
.main:nth-child(2)::before,
.main:nth-child(2)::after{
    background: linear-gradient(235deg,#ff005e,#010615,#fbff00);
}
.main:nth-child(3)::before,
.main:nth-child(3)::after{
    background: linear-gradient(235deg,#772aff,#010615,#2196F3);
}
.main .glass{
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    display: block;
    background: rgba(255,255,255,0.1);
    pointer-events: none;
}
.main .content{
    position: relative;
    color: #fff;
    padding:20px;
    font-family: Arial, Helvetica, sans-serif;
}